package com.zd.exam.service;

import java.util.List;

import com.zd.exam.domain.ElCourseChapter;

/**
 * 学习资源章节Service接口
 *
 * @author liubo
 * @date 2021-12-07
 */
public interface IElCourseChapterService {
    /**
     * 查询学习资源章节
     *
     * @param id 学习资源章节主键
     * @return 学习资源章节
     */
    public ElCourseChapter selectElCourseChapterById(Long id);

    /**
     * 查询学习资源章节列表
     *
     * @param elCourseChapter 学习资源章节
     * @return 学习资源章节集合
     */
    public List<ElCourseChapter> selectElCourseChapterList(ElCourseChapter elCourseChapter);

    /**
     * 新增学习资源章节
     *
     * @param elCourseChapter 学习资源章节
     * @return 结果
     */
    public ElCourseChapter insertElCourseChapter(ElCourseChapter elCourseChapter);

    /**
     * 修改学习资源章节
     *
     * @param elCourseChapter 学习资源章节
     * @return 结果
     */
    public int updateElCourseChapter(ElCourseChapter elCourseChapter);

    /**
     * 批量删除学习资源章节
     *
     * @param ids 需要删除的学习资源章节主键集合
     * @return 结果
     */
    public int deleteElCourseChapterByIds(Long[] ids);

    /**
     * 删除学习资源章节信息
     *
     * @param id 学习资源章节主键
     * @return 结果
     */
    public int deleteElCourseChapterById(Long id);
}
